<?php 
function tpl_00000000_string_c6b69a30a9eed__JdCA2a_lr7bEwZXEWisAVg_row(PHPTAL $_thistpl, PHPTAL $tpl) {
$tpl = clone $tpl ;
$ctx = $tpl->getContext() ;
$_translator = $tpl->getTranslator() ;
?>

  <?php 
if (isset($ctx->rows)):  ;
$_tmp_1 = $ctx->repeat ;
$_tmp_1->r = new PHPTAL_RepeatController($ctx->rows)
 ;
$ctx = $tpl->pushContext() ;
foreach ($_tmp_1->r as $ctx->r): ;
?>

    <tr>
      <td style="text-align:center"><?php echo phptal_escape($ctx->path($ctx->r, 'm_id')) ?></td>
      <td><?php echo phptal_escape($ctx->path($ctx->r, 'm_name')) ?></td>
      <td><?php echo phptal_escape($ctx->path($ctx->r, 'm_subject')) ?></td>
      <td><?php echo phptal_escape($ctx->path($ctx->r, 'from')) ?></td>
      <?php if ($ctx->MAIN_MULTILANG): ; ?>
<td style="text-align:center;">
        <?php 
if ($ctx->path($ctx->r, 'lang_links')):  ;
$_tmp_2 = $ctx->repeat ;
$_tmp_2->ll = new PHPTAL_RepeatController($ctx->path($ctx->r, 'lang_links'))
 ;
$ctx = $tpl->pushContext() ;
foreach ($_tmp_2->ll as $ctx->ll): ;
?>

          <?php if ($ctx->path($ctx->ll, 'exists')): ; ?>
<a onclick="table.lang(<?php echo phptal_escape($ctx->path($ctx->r, 'm_id')) ?>,'<?php echo phptal_escape($ctx->path($ctx->ll, 'lang')) ?>')"><?php echo phptal_escape($ctx->path($ctx->ll, 'lang')) ?></a><?php endif; ?>
 
    <?php if (!($ctx->path($ctx->ll, 'exists'))): ; ?>
<a onclick="table.lang(<?php echo phptal_escape($ctx->path($ctx->r, 'm_id')) ?>,'<?php echo phptal_escape($ctx->path($ctx->ll, 'lang')) ?>')" class="red"><?php echo phptal_escape($ctx->path($ctx->ll, 'lang')) ?></a><?php endif; ?>

    &nbsp; &nbsp;
        <?php 
endforeach ;
$ctx = $tpl->popContext() ;
endif ;
?>
 
      </td><?php endif; ?>

      <td style="text-align:center"><a onclick="table.edit(<?php echo phptal_escape($ctx->path($ctx->r, 'm_id')) ?>)"><?php echo phptal_escape($ctx->EDIT) ?></a></td>
      <td style="text-align:center"><a onclick="if( confirm('<?php echo phptal_escape($ctx->DEL_RECORD) ?>') ){ table.del(<?php echo phptal_escape($ctx->path($ctx->r, 'm_id')) ?>) }"><?php echo phptal_escape($ctx->DELETE) ?></a> </td>
    </tr>
<?php 
endforeach ;
$ctx = $tpl->popContext() ;
endif ;
?>


<?php if (!($ctx->rows)): ; ?>

<tr>
 <td colspan="6" style="text-align:center"> <?php echo phptal_escape($ctx->NO_RECORDS) ?> </td>
</tr>
<?php endif; ?>

 
<?php 
$ctx->noThrow(true) ;
if (!phptal_isempty($ctx->page_nav)):  ;
if (false):  ;
endif ;
$ctx->noThrow(false) ;
?>
<tr>
  <td colspan="8" style="padding:5px;"><?php 
$ctx->noThrow(true) ;
if (!phptal_isempty($_tmp_2 = $ctx->page_nav)):  ;
echo phptal_tostring($_tmp_2) ;
endif ;
$ctx->noThrow(false) ;
?>
</td>
</tr><?php endif; ?>

<?php 
}

 ?><?php 
function tpl_00000000_string_c6b69a30a9eed__JdCA2a_lr7bEwZXEWisAVg($tpl, $ctx) {
$_thistpl = $tpl ;
$_translator = $tpl->getTranslator() ;
$ctx->noThrow(true) ;
if (!phptal_isempty($ctx->index)):  ;
if (false):  ;
endif ;
$ctx->noThrow(false) ;
?>

<ul class="top_nav">
  <li><a href="<?php echo phptal_escape($ctx->MAIN_URL) ?>"><?php echo phptal_escape($ctx->SITE) ?></a></li>
  <li><a href="<?php echo phptal_escape($ctx->URL_ADMIN) ?>"><?php echo phptal_escape($ctx->ADMIN_PAGE) ?></a></li>
  <li class="current">Письма</li>
</ul>

<div style="padding:10px;padding-top:0px;">
  <table class="data" width="100%" align="left" id="table">
   <tr>
     <td colspan="7" style="text-align:right;border:0px;">
       <a style="color:#F8A720;font-size:14px;" onclick="table.edit(0)"><?php echo phptal_escape($ctx->M_ADMIN_M_CREATE) ?></a>
     </td>
    </tr>
    <tr class="header">
      <td width="1%">№</td>
      <td width="15%"><?php echo phptal_escape($ctx->M_ADMIN_M_NAME) ?></td>
      <td width="10%"><?php echo phptal_escape($ctx->M_ADMIN_M_HEADER) ?></td>
      <td width="10%"><?php echo phptal_escape($ctx->M_ADMIN_M_FROM) ?></td>
      <?php if ($ctx->MAIN_MULTILANG): ; ?>
<td width="3%">Язык</td><?php endif; ?>

      <td width="2%" colspan="2"><?php echo phptal_escape($ctx->ACTION) ?></td>
    </tr>
    <tbody id="table_content">
      <?php 
$ctx->pushSlots() ;
$tpl->_executeMacroOfTemplate('row', $_thistpl) ;
$ctx->popSlots() ;
?>

    </tbody>
  </table>
</div>

<script type="text/javascript">/*<![CDATA[*/

  /*  клиентская часть, отвечает за аякс  */
table = {
 'server' :"<?php echo strtr(phptal_tostring($ctx->URL_ADMIN_MAIL) ,array(']]>'=>']]]]><![CDATA[>','</'=>'<\/')) ?>",
  'orderby_key' : false,
  'orderby_value'   : false,
  'page'        :1,
 'hidden_active'   : false,
  'id'        : false
}
table.lock = function(){
  wnd.onload = false;
 wnd.set_title('');
  wnd.set_content('<?php echo strtr(phptal_tostring($ctx->WAIT) ,array(']]>'=>']]]]><![CDATA[>','</'=>'<\/')) ?>');
 wnd.show();
}
table.unlock = function(){
  wnd.close();
}


 //  удаляем  mid
table.del = function(mid){
  
  r = new request( table.server+'&act=ajax_delete');
  r.onrequest = function(){ 
    table.lock();
 }
 r.onload = function(r)
  {
   table.reload(false);
    table.unlock();
 }
 r.send({'id':mid}); 
}

 
table.pagenav = function(pn){
 table.page = pn;
  table.reload(true);
}



  //  форма редактирования 
table.edit = function(fid){
  wnd.open(table.server+'&act=ajax_edit&id='+fid);
}

 //  функция сохранения изменений формы
table.save_page = function(){
  r = new request(  table.server+'&act=ajax_save' );
  r.onrequest = function(){ 
    o.msg.system('Идёт сохранение...');
  };
  r.onload = function(rst){
    o.msg.system(rst.msg);
    table.reload(false);
    wnd.close();
  };
  r.error = function(e){
    alert(e);
  };
  r.form( o.$('form_page') );
}



  //  перезагружаем таблицу страниц согласно соортировке и фильтрам
table.reload = function(lock){
 r = new request( table.server+'&act=ajax_reload' );
 r.onrequest = function(){ 
    if ( lock ){
      table.lock();
   }
   
  };
  r.onload = function(rst){ 
    o.$('table_content').innerHTML = rst.content; 
    if ( lock ){
      table.unlock();
   }
 };
  
  r.send( 
      {'hidden_active':table.hidden_active,
     'orderby_key':table.orderby_key, 
     'orderby_value':table.orderby_value,
      'page':table.page,
      'id':table.id
     } 
  )
 
  
}

table.lang = function(id,lang){
  wnd.open(table.server+'&act=ajax_lang_edit&id='+id+'&lang='+lang);
}


/*]]>*/</script>
 


<?php endif; ?>




<?php 
if (isset($ctx->execute)):  ;
$ctx->pushSlots() ;
tpl_00000000_string_c6b69a30a9eed__JdCA2a_lr7bEwZXEWisAVg_row($_thistpl, $tpl) ;
$ctx->popSlots() ;
endif ;
/* end */ ;

}

?><?php /* 
*** DO NOT EDIT THIS FILE ***

Generated by PHPTAL from <string c6b69a30a9eed03072800969177c3f83> (edit that file instead) */; ?>